Skip to main content
GET
/
statements
/
{statement_id}
Get a statement
curl --request GET \
  --url https://api.synctera.com/v2/statements/{statement_id} \
  --header 'Authorization: Bearer <token>'
{
  "saving_summary": {
    "accrual_days": 123,
    "apy": 550,
    "interest_earned": 150,
    "interest_earned_previous_month": 150,
    "interest_earned_previous_year": 10000,
    "interest_earned_ytd": 10000
  },
  "exclude_jit_transactions": false,
  "include_child_transactions": false,
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "billing_period_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "credit_summary": {
    "amount_over_limit": 100000,
    "amount_past_due": 100000,
    "apr": 123,
    "balance_for_interest": 123,
    "credit_limit": 123,
    "disclosure": "We have told the credit bureau(s) about a late payment, missed payment or other default on your account. This information may be reflected in your credit report.",
    "disputed_balance": 123,
    "fees": 123,
    "fees_ytd": 123,
    "interest": 123,
    "interest_ytd": 123,
    "is_past_due": true,
    "last_payment_date": "2023-12-25",
    "minimum_payment_due": 123,
    "payment_due": 123,
    "payment_due_date": "2023-12-25",
    "payments_received": 123
  },
  "end_date": "2023-12-25",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "issue_date": "2023-12-25",
  "security_account_summary": {
    "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "account_number": "<string>",
    "account_type": "<string>",
    "apy": 550,
    "closing_balance": 100000,
    "disclosure": "<string>",
    "interest": 150,
    "interest_previous_month": 150,
    "interest_previous_year": 10000,
    "interest_ytd": 10000,
    "opening_balance": 100000
  },
  "start_date": "2023-12-25",
  "account_summary": {
    "account_number": "<string>",
    "account_status": "<string>",
    "account_type": "<string>",
    "balance_ceiling": {
      "balance": 123
    },
    "balance_floor": {
      "balance": 123
    },
    "creation_time": "2023-11-07T05:31:56Z",
    "currency": "USD",
    "customer_type": "<string>",
    "financial_institution": {
      "legal_address": {
        "address_line_1": "100 Main St.",
        "city": "New York",
        "country_code": "US",
        "postal_code": "49633",
        "state": "NY",
        "address_line_2": "Suite 99"
      },
      "name": "<string>",
      "phone_number": "<string>"
    },
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "last_updated_time": "2023-11-07T05:31:56Z",
    "nickname": "<string>"
  },
  "authorized_signers": [
    {
      "creation_time": "2023-11-07T05:31:56Z",
      "first_name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "last_name": "<string>",
      "last_updated_time": "2023-11-07T05:31:56Z",
      "middle_name": "<string>",
      "relationship_type": "<string>"
    }
  ],
  "closing_balance": 123,
  "customer_service_details": {
    "address": {
      "address_line_1": "100 Main St.",
      "city": "New York",
      "country_code": "US",
      "postal_code": "49633",
      "state": "NY",
      "address_line_2": "Suite 99"
    },
    "email": "<string>",
    "phone_number": "<string>"
  },
  "disclosure": "<string>",
  "joint_account_holders": [
    {
      "creation_time": "2023-11-07T05:31:56Z",
      "first_name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "last_name": "<string>",
      "last_updated_time": "2023-11-07T05:31:56Z",
      "middle_name": "<string>",
      "relationship_type": "<string>"
    }
  ],
  "opening_balance": 123,
  "pdf_document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "primary_account_holder_business": {
    "creation_time": "2023-11-07T05:31:56Z",
    "ein": "<string>",
    "email": "<string>",
    "entity_name": "<string>",
    "formation_date": "2023-12-25",
    "formation_state": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "last_updated_time": "2023-11-07T05:31:56Z",
    "phone_number": "<string>",
    "status": "<string>",
    "structure": "<string>",
    "trade_names": [
      "<string>"
    ],
    "verification_last_run": "2023-11-07T05:31:56Z",
    "verification_status": "<string>"
  },
  "primary_account_holder_personal": {
    "creation_time": "2023-11-07T05:31:56Z",
    "first_name": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "last_name": "<string>",
    "last_updated_time": "2023-11-07T05:31:56Z",
    "middle_name": "<string>",
    "relationship_type": "<string>"
  },
  "total_transactions": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.synctera.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

statement_id
string<uuid>
required

The unique identifier of a statement

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Response

statement

A statement for a depository account

saving_summary
Saving Summary · object
required

A summary of the accrued interest for the saving account in the current period

statement_type
enum<string>
required

The type of statement

Available options:
DEPOSIT,
LINE_OF_CREDIT,
CHARGE_SECURED,
CHARGE_UNSECURED,
CREDIT_CARD
exclude_jit_transactions
boolean
default:false
required

Ignore "JIT funding" transactions when generating a statement

Example:

false

include_child_transactions
boolean
default:false
required

Include transactions from sub-accounts when generating a statement

Example:

false

account_id
string<uuid>
read-only

The unique identifier of the account the statement belongs to

billing_period_id
string<uuid>
read-only

The billing period this statement corresponds to

credit_summary
Credit Summary · object

A summary of the accrued interest for the credit account in the current period.

end_date
string<date>
read-only

The date indicating the ending of the time interval covered by the statement

id
string<uuid>
read-only

statement ID

issue_date
string<date>
read-only

The date when the statement has been issued

security_account_summary
Security Account Summary · object

A summary for the security account backing the credit account.

start_date
string<date>
read-only

The date indicating the beginning of the time interval covered by the statement

account_summary
Account Summary · object
authorized_signers
Person · object[]
read-only
closing_balance
integer<int64>

The account balance at the end of the statement period, in ISO 4217 minor currency units.

customer_service_details
Customer Service Details · object

The customer service details of the fintech partner, e.g. phone number, email address, etc.

disclosure
string
joint_account_holders
Person · object[]
read-only
opening_balance
integer<int64>

The account balance at the start of the statement period, in ISO 4217 minor currency units.

pdf_document_id
string<uuid>
read-only

The ID of the uploaded PDF document in docstore

primary_account_holder_business
Business · object
primary_account_holder_personal
Person · object
total_transactions
integer<int64>

The total number of transactions for this statement period.